%global pypi_name termcolor

Summary:        ANSI Color formatting for output in terminal
Name:           python-termcolor
Version:        2.3.0
Release:        1%{?dist}
License:        MIT
URL:            https://github.com/termcolor/termcolor
Source0:        https://files.pythonhosted.org/packages/source/t/termcolor/termcolor-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools


%description
ANSI Color formatting for output in terminal.


%package -n python3-termcolor
Summary:  ANSI Color formatting for output in terminal
Provides:       python3-termcolor

%description -n python3-termcolor
A Python 3 version of ANSI Color formatting for output in terminal.


%prep
%autosetup -n termcolor-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files %{pypi_name}

rm -f %{buildroot}%{python3_sitelib}/%{pypi_name}-%{version}.dist-info/licenses/COPYING.txt

%files -n python3-termcolor -f %{pyproject_files}
%license COPYING.txt


%changelog
* Thu Sep 21 2023 Miaojun Dong <zoedong@tencent.com> - 2.3.0-1
- Bump version to 2.3.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.0-2
- Rebuilt for OpenCloudOS Stream 23

* Wed Dec 21 2022 Feng Weiyao <wynnfeng@tencent.com> - 1.1.0-1
- package init.
